<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 28/5/2018
 * Time: 11:03 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono1']) && isset($_REQUEST['telefono2'])) {
            $validar  = R::findOne( 'empresaseguridad', ' nombre = ? ', [ $_REQUEST['nombre'] ] );
            if (is_null($validar)==TRUE){
                $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
                $datos = $Valido->retornarDatos($creadoPor);
                $empresaseguridad = R::dispense('empresaseguridad');
                $empresaseguridad->nombre = $_REQUEST['nombre'];
                $empresaseguridad->direccion = $_REQUEST['direccion'];
                $empresaseguridad->telefono1 = $_REQUEST['telefono1'];
                $empresaseguridad->telefono2 = $_REQUEST['telefono2'];
                $empresaseguridad->id_autor = $creadoPor;
                $empresaseguridad->id_condominio = $datos['condominio_id'];
                $empresaseguridad->fechaRegistro = date('Y-m-d H:i:s');
                $empresaseguridad->fechaModificacion = date('Y-m-d H:i:s');
                $empresaseguridad->estado = 1;
                $id = R::store($empresaseguridad);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}